package com.iohao.mmo.equip.enums;

/**
 * 装备部位枚举类
 */
public enum PositionEnum {
    WUQI("武器","wuqi"),
    MAOZI("帽子","maozi"),
    YIFU("衣服","yifu"),
    KUZI("裤子","kuzi"),
    XIEZI("鞋子","xiezi"),
    HUWAN("护腕","huwan"),
    XIANGLAIN("项链","xianglain"),
    shouzhuo("手镯","shouzhuo"),
    JIEZHI("戒指","jiezhi"),
    YAOPEI("腰佩","yaopei");
    private String name;
    private String code;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    private PositionEnum(String name, String code){
        this.name = name;
        this.code = code;
    }

    @Override
    public String toString(){
        return this.name + "-" + this.code;
    }

    public static PositionEnum getByCode(String code){
        for(PositionEnum propertyNameEnum : PositionEnum.values()){
            if(propertyNameEnum.getCode().equals(code))            {
                return propertyNameEnum;
            }
        }
        return null;
    }
}
